Subject: Re: bug#36709: Likely bug in scm_port_poll

From: Ludovic Courtès <[email-masked]>
Date: Mon, 18 Nov 2019 15:17:29 +0100

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> If you'd be willing to take a quick look at this, I'd be grateful.
> Probably a bug, but I feel uneasy that I might be overlooking something.
>
> scm_port_poll contains the following code:
>
>   if (scm_i_string_contains_char (events, 'r'))
>     c_events |= POLLIN;
>   if (scm_i_string_contains_char (events, '!'))
>     c_events |= POLLPRI;
>   if (scm_i_string_contains_char (events, 'w'))
>     c_events |= POLLIN;
>
> That second POLLIN should be POLLOUT, right?

I agree.  Clearly it must be a typo, so I’ve pushed the fix as
659526d33b2db1b0924b2769b6a0b824709860cc.

Thanks!

Ludo’.